Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.guice
Class InternalAjaxFilterManager

    java.lang.Object
      org.directwebremoting.guice.InternalAjaxFilterManager

All Implemented Interfaces:
  AjaxFilterManager

    public class InternalAjaxFilterManager

extends java.lang.Object
implements AjaxFilterManager

Extends an existing ajax filter manager with an injected list of ajax filters specified at Guice bind-time. Only to be used in conjection with `DwrGuiceServlet`.

Author:
  Tim Peierls [tim at peierls dot net]

Constructor Summary
`InternalAjaxFilterManager()` Retrieves an underlying ajaxFilter manager from thread-local state to which this class delegates `AjaxFilterManager` calls.

Method Summary
`void` | `addAjaxFilter(AjaxFilter filter)` Add a global AjaxFilter
`void` | `addAjaxFilter(AjaxFilter filter, java.lang.String scriptname)` Add a class based AjaxFilter
`java.util.Iterator<AjaxFilter>` | `getAjaxFilters(java.lang.String scriptname)` Retrieve the global and class-based AjaxFilters for a given class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalAjaxFilterManager

    public InternalAjaxFilterManager()

  Retrieves an underlying ajaxFilter manager from thread-local state to which this class delegates `AjaxFilterManager` calls.

Method Detail

### getAjaxFilters

    public java.util.Iterator<AjaxFilter> getAjaxFilters(java.lang.String scriptname)

  Description copied from interface: `AjaxFilterManager`
  Retrieve the global and class-based AjaxFilters for a given class.

  Specified by:
    `getAjaxFilters` in interface `AjaxFilterManager`
  Parameters:
    `scriptname` - The scriptname to use to filter the class-based filters
  Returns:
    An iterator over the available filters.

### addAjaxFilter

    public void addAjaxFilter(AjaxFilter filter)

  Description copied from interface: `AjaxFilterManager`
  Add a global AjaxFilter

  Specified by:
    `addAjaxFilter` in interface `AjaxFilterManager`
  Parameters:
    `filter` - The new global AjaxFilter

### addAjaxFilter

    public void addAjaxFilter(AjaxFilter filter,
                              java.lang.String scriptname)

  Description copied from interface: `AjaxFilterManager`
  Add a class based AjaxFilter

  Specified by:
    `addAjaxFilter` in interface `AjaxFilterManager`
  Parameters:
    `filter` - The new AjaxFilter
    `scriptname` - The scriptname to filter against

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD